> For the complete documentation index, see [llms.txt](https://docs.workflowgen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.workflowgen.com/tech/9.0/okta-integration/additional-information.md).

# Additional Information

## WorkflowGen SOAP API services support

WorkflowGen only supports requests to the SOAP API using classic authentication methods. If you still need to use this API, you have to perform some additional steps to configure it properly.

1. Create a new separate WorkflowGen directory for the SOAP API users.<br>
2. Provision it with users and groups as needed.<br>
3. In the **IIS Manager**, enable the **Basic** authentication method for the `\wfgen\ws` application.<br>
4. In the `web.config` file (located in `\Inetpub\wwwroot\wfgen`), add the following under  `<location path="ws" inheritInChildApplications="false">` : <br>

   ```markup
   <system.webServer>
       <modules>
           <remove name="ApplicationSecurityAuthenticationModule" />
       </modules>
   </system.webServer>
   ```

## Web service type application support

Web service type applications only support requests using classic authentication methods. If you still need to use these APIs, you have to perform some additional steps to configure it properly.

1. Make sure you have a local or domain account provisioned on your WorkflowGen server. (This can be the account you used prior to changing your authentication method to Okta.)<br>
2. In the IIS Manager, enable either the Basic or Windows authentication method for your application (e.g. `wfapps/webservices/myWebService`).<br>
3. In the `web.config` file (located in `\Inetpub\wwwroot\wfgen`), add the following new location under the last location:\
   \
   `<location path="wfapps/webservices/myWebService" inheritInChildApplications="false">` \
   \
   The structure should be as follows:<br>

   ```html
   <location path="wfapps/webservices/myWebService" inheritInChildApplications="false">
       <system.webServer>
           <modules>
               <remove name="ApplicationSecurityAuthenticationModule" />
           </modules>
       </system.webServer>
   </location>
   ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.workflowgen.com/tech/9.0/okta-integration/additional-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
